# $Id: main.tcl 1051 2007-03-17 17:24:28Z sergei $

package require starkit
if {[string equal [starkit::startup] sourced]} return

proc starkit_init {args} {
    global configdir
    global toolkit_version
    upvar 1 starkit::topdir topdir

    append toolkit_version " (starkit)"

    set spath $configdir
    if {[info exists ::starkit::topdir]} {
	lappend spath [file dirname $::starkit::topdir]
    }

    # See: http://wiki.tcl.tk/8186
    set top $topdir

    set log ""
    foreach dir $spath {
	foreach kit [glob -type f -dir $dir -nocomplain *.kit] {
	    set failed [catch { source $kit } err]
	    if {$failed} {
		append log "\nFile: $kit\nError: $err"
	    }
	}
    }

    set topdir $top

    if {$log != ""} {
	tk_messageBox -icon error -title "Startup problem" \
		      -message "Failed to load some .kit files:\n$log"
    }
}

source [file join [file dirname [info script]] tkabber tkabber.tcl]

# vim:ts=8:sw=4:sts=4:noet
